#include <stdio.h>
#include <string.h>

#ifdef __STDC__
#include <stdlib.h>
#endif

#ifdef __COMPILER_KCC__
#define BINREAD		"rb8"
#define BINWRITE	"wb8"
#else /* not __COMPILER_KCC__ */
#ifdef VMS
#define BINREAD		"rb","rfm=fix","bls=512","mrs=512"
#define BINWRITE	"wb","rfm=fix","bls=512","mrs=512"
#else	/* assume Unix style */
#define BINREAD		"rb"
#define BINWRITE	"wb"
#endif
#endif /* __COMPILER_KCC__ */

#ifdef __STDC__
#ifdef __COMPILER_KCC__
void bsplit();
#else
void bsplit(int size, char* name);
#endif
#else
void bsplit();
#endif

main(argc,argv)
int argc;
char* argv[];
{
	int size;
	int k;

	if (argc < 3)
	{
		fprintf(stderr,"Usage: %s -bytes filename(s)\n",argv[0]);
		exit(1);
	}
	sscanf(argv[1],"%d",&size);
	size = -size;
	for (k = 2; k < argc; ++k)
		bsplit(size,argv[k]);
	exit(0);
}

void
bsplit(size,inname)
int size;
char* inname;
{
	register FILE* in;
	register FILE* out;
	char outname[144];
	register int n;
	int npart;
	register int c;

	in = fopen(inname,BINREAD);
	if (in == (FILE*)NULL)
	{
		(void)fprintf(stderr,"?Cannot open file [%s]\n",inname);
		return;
	}
	(void)fprintf(stderr,"[%s]\n",inname);
	for (npart = 1; !feof(in); ++npart)
	{
		sprintf(outname,"%s-%03d",inname,npart);
		out = fopen(outname,BINWRITE);
		if (out == (FILE*)NULL)
		{
			(void)fprintf(stderr,
				"?Cannot open file [%s]\n",outname);
			return;
		}
		(void)fprintf(stderr,"\t[%s]",outname);
		for (n = 0; n < size ;++n)
		{
			c = getc(in);
			if ((c == EOF) && feof(in))
				break;
			putc(c,out);
		}
		(void)fclose(out);
		(void)fprintf(stderr," %d bytes [OK]\n",n);
	}
}
